# Update option for the given options group Updates (replaces) all the options of the given group with the provided ones. Endpoint: PATCH /v3/companies/{companyId}/custom-fields/{customFieldId}/option-groups/{optionGroupId} Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier for company. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `customFieldId` (string, required) Identifier for custom field. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `optionGroupId` (string, required) Identifier for the options group Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `toUpdate` (array) Array of option to insert or update. Any existing option with same name will be updated and if there is no exiting item having same name as specified, then a new option will be inserted. - `toUpdate.name` (string, required) Unique name of the option Example: "XC" - `toUpdate.description` (string) User understandable details for the given name Example: "Air exchange code" - `toUpdate.additionalInfos` (array) Option level additional infos. - `toUpdate.translatedName` (string) Translated name of the option, matching the users preferred language Example: "XC" - `toUpdate.translatedDescription` (string) Translated description of the option, matching the users preferred language Example: "Código de intercambio de aire" - `toDelete` (array) Array of option that need to be deleted Example: ["XC"] ## Response 400 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 200 fields